# OqlGroupByParser Class Reference

Inheritance diagram for OqlGroupByParser:
[legend]

List of all members.

## Static Public Member Functions

static | create ()

## Public Attributes

const | CLASS_NAME = 'GroupByPropertyProjection'

## Protected Member Functions

| makeOqlObject ()
| handleState ()

## Detailed Description

Definition at line 12 of file OqlGroupByParser.class.php.

## Member Function Documentation

static OqlGroupByParser::create | ( |  | ) | `[static]`

Returns:
  OqlGroupByParser

Definition at line 19 of file OqlGroupByParser.class.php.

Referenced by OQL::groupBy(), OqlSelectParser::groupByState(), and makeOqlObject().

OqlGroupByParser::handleState | ( |  | ) | `[protected]`

Reimplemented from OqlParser.

Definition at line 32 of file OqlGroupByParser.class.php.

References OqlParser::getCommaSeparatedList(), and OqlParser::makeQueryExpression().

Here is the call graph for this function:

OqlGroupByParser::makeOqlObject | ( |  | ) | `[protected]`

Returns:
  OqlProjectionClause

Reimplemented from OqlParser.

Definition at line 27 of file OqlGroupByParser.class.php.

References create().

Here is the call graph for this function:

## Member Data Documentation

const OqlGroupByParser::CLASS_NAME = 'GroupByPropertyProjection'

Definition at line 14 of file OqlGroupByParser.class.php.

The documentation for this class was generated from the following file:

- main/OQL/Parsers/OqlGroupByParser.class.php